Debian Bug report logs - #595880
sawfish: FTBFS in squeeze: /bin/sh: rep: not found

version graph

Package: sawfish; Maintainer for sawfish is Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>; Source for sawfish is src:sawfish.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 6 Sep 2010 23:45:09 UTC

Severity: serious

Tags: patch, sid, squeeze, wheezy

Found in version sawfish/1:1.3.5.2-1

Fixed in versions sawfish/1:1.5.3-2.1, sawfish/1:1.3.5.2-2

Done: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#595880; Package sawfish. (Mon, 06 Sep 2010 23:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 06 Sep 2010 23:45:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: sawfish: FTBFS in squeeze: /bin/sh: rep: not found
Date: Tue, 7 Sep 2010 01:38:35 +0200
Package: sawfish
Version: 1:1.3.5.2-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100906 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in a squeeze chroot, your package failed
to build on amd64.

Relevant part:
> make[3]: Entering directory `/build/user-sawfish_1.3.5.2-1-amd64-wwVgGN/sawfish-1.3.5.2/lisp/sawfish/gtk'
> cp stock.jl.gtk stock.jl
> REP_DL_LOAD_PATH=../../..//src/.libexec REP_GTK_DONT_INITIALIZE=1 REP_LOAD_PATH=../../../lisp:../../..//lisp rep compiler -f compile-batch color-preview.jl
> /bin/sh: rep: not found
> make[3]: *** [color-preview.jlc] Error 127

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/09/06/sawfish_1:1.3.5.2-1_lsqueeze64.buildlog

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in squeeze before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) patch. Request was from Rodrigo Gallardo <rodrigo@debian.org> to control@bugs.debian.org. (Sat, 25 Sep 2010 18:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#595880; Package sawfish. (Sat, 25 Sep 2010 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Gallardo <rodrigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sat, 25 Sep 2010 18:39:06 GMT) Full text and rfc822 format available.

Message #12 received at 595880@bugs.debian.org (full text, mbox):

From: Rodrigo Gallardo <rodrigo@debian.org>
To: 595880@bugs.debian.org
Subject: Patch for FTBFS
Date: Sat, 25 Sep 2010 11:08:30 -0700
[Message part 1 (text/plain, inline)]
tag 595880 +patch
bye

The patch aatached fixes the FTBFS. I will test the resulting package
for a couple days before asking release for permission to upload to
testing-proposed-updates.

-- 
Rodrigo Gallardo
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#595880; Package sawfish. (Sun, 10 Oct 2010 11:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 10 Oct 2010 11:57:05 GMT) Full text and rfc822 format available.

Message #17 received at 595880@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Rodrigo Gallardo <rodrigo@debian.org>, 595880@bugs.debian.org
Subject: Re: Bug#595880: Patch for FTBFS
Date: Sun, 10 Oct 2010 13:54:14 +0200
[Message part 1 (text/plain, inline)]
On Sat, Sep 25, 2010 at 11:08:30 -0700, Rodrigo Gallardo wrote:

> tag 595880 +patch
> bye
> 
> The patch aatached fixes the FTBFS. I will test the resulting package
> for a couple days before asking release for permission to upload to
> testing-proposed-updates.
> 
Looks fine, please do upload to tpu.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#595880; Package sawfish. (Sun, 10 Oct 2010 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Gallardo <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 10 Oct 2010 22:18:03 GMT) Full text and rfc822 format available.

Message #22 received at 595880@bugs.debian.org (full text, mbox):

From: Rodrigo Gallardo <rodrigo@nul-unu.com>
To: 595880@bugs.debian.org
Subject: Re: Bug#595880: Patch for FTBFS
Date: Sun, 10 Oct 2010 15:16:11 -0700
tag 595880 +pending
block 595880 by 599762
thanks

On Sun, Oct 10, 2010 at 01:54:14PM +0200, Julien Cristau wrote:
> > 
> Looks fine, please do upload to tpu.

Upload was rejected by ftp-master:

Reject Reasons:
 sawfish_1.3.5.2-2.dsc: old version (1:1.3.5.2-1) in unstable <= new version (1:1.3.5.2-2) targeted at testing-proposed-updates.

I have requested removal of the ia64, kfreebsd-i386 and m68k binary
packages and will re-attempt the upload later.


-- 
Rodrigo Gallardo




Added tag(s) pending. Request was from Rodrigo Gallardo <rodrigo@nul-unu.com> to control@bugs.debian.org. (Sun, 10 Oct 2010 22:18:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 595880: 599762 Request was from Rodrigo Gallardo <rodrigo@nul-unu.com> to control@bugs.debian.org. (Sun, 10 Oct 2010 22:18:05 GMT) Full text and rfc822 format available.

Reply sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
You have taken responsibility. (Mon, 11 Oct 2010 16:51:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 11 Oct 2010 16:51:03 GMT) Full text and rfc822 format available.

Message #31 received at 595880-close@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
To: 595880-close@bugs.debian.org
Subject: Bug#595880: fixed in sawfish 1:1.3.5.2-2
Date: Mon, 11 Oct 2010 16:47:13 +0000
Source: sawfish
Source-Version: 1:1.3.5.2-2

We believe that the bug you reported is fixed in the latest version of
sawfish, which is due to be installed in the Debian FTP archive:

sawfish-data_1.3.5.2-2_all.deb
  to main/s/sawfish/sawfish-data_1.3.5.2-2_all.deb
sawfish-dbg_1.3.5.2-2_amd64.deb
  to main/s/sawfish/sawfish-dbg_1.3.5.2-2_amd64.deb
sawfish-lisp-source_1.3.5.2-2_all.deb
  to main/s/sawfish/sawfish-lisp-source_1.3.5.2-2_all.deb
sawfish_1.3.5.2-2.diff.gz
  to main/s/sawfish/sawfish_1.3.5.2-2.diff.gz
sawfish_1.3.5.2-2.dsc
  to main/s/sawfish/sawfish_1.3.5.2-2.dsc
sawfish_1.3.5.2-2_amd64.deb
  to main/s/sawfish/sawfish_1.3.5.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595880@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luis Rodrigo Gallardo Cruz <rodrigo@debian.org> (supplier of updated sawfish package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Oct 2010 11:40:25 -0700
Source: sawfish
Binary: sawfish sawfish-dbg sawfish-data sawfish-lisp-source
Architecture: source all amd64
Version: 1:1.3.5.2-2
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Description: 
 sawfish    - a window manager for X11
 sawfish-data - sawfish architecture independent data
 sawfish-dbg - sawfish debugging symbols
 sawfish-lisp-source - sawfish lisp files
Closes: 595880
Changes: 
 sawfish (1:1.3.5.2-2) testing-proposed-updates; urgency=low
 .
   * Add rep as build-dependency (Closes: #595880).
Checksums-Sha1: 
 8102309bcafed7ec6c6599d733e95985f140b065 1528 sawfish_1.3.5.2-2.dsc
 a21a8c3da143001e1a544afc7c039714960f38f0 39842 sawfish_1.3.5.2-2.diff.gz
 190a5af31ab73e5e5bfda00a24e2630da63c6417 1368566 sawfish-data_1.3.5.2-2_all.deb
 36e46b92c2f99e9330f5e4e899189fd22d34376c 231442 sawfish-lisp-source_1.3.5.2-2_all.deb
 2666f3b1b781ac6628a022c87b1954d5c1e358fb 482116 sawfish_1.3.5.2-2_amd64.deb
 3c5e7ce7f92932ff2b601d43e154ae2d21a2180a 275972 sawfish-dbg_1.3.5.2-2_amd64.deb
Checksums-Sha256: 
 8fbd0a7666749672d04a8f29420b208507401d8ba675ea5839288df2f38c192d 1528 sawfish_1.3.5.2-2.dsc
 75ed1ab4a1651e56b1aefe2af1b67073e6ead1ea8415a33331d3b2f5284553b2 39842 sawfish_1.3.5.2-2.diff.gz
 269ec5bfed698e453f9cd7444abdbd92c121c8bad40af391d8839092ce7605fe 1368566 sawfish-data_1.3.5.2-2_all.deb
 27b19f18741e1db5ef1621509034d04a8dc873caa06d8dc4320f5ad484138202 231442 sawfish-lisp-source_1.3.5.2-2_all.deb
 fe20a0bea8ca1ace3c8b72fda324ba986e60679dea210e664a381bdb7b2dd411 482116 sawfish_1.3.5.2-2_amd64.deb
 8781e953588094629533569deaea7630587598844f1ee669f11f34206c441a71 275972 sawfish-dbg_1.3.5.2-2_amd64.deb
Files: 
 d10cf590be742efffb0f31109f4936d9 1528 x11 optional sawfish_1.3.5.2-2.dsc
 12e5b6c5380da7565accb1415abceb93 39842 x11 optional sawfish_1.3.5.2-2.diff.gz
 55542931f14e53040ab4c3a0461de81c 1368566 x11 optional sawfish-data_1.3.5.2-2_all.deb
 be52c6938805b40b022d182e56a10c14 231442 x11 optional sawfish-lisp-source_1.3.5.2-2_all.deb
 5f9b7d06368ed448696e2ec5df8a7380 482116 x11 optional sawfish_1.3.5.2-2_amd64.deb
 473d172c570b1373b20619a0178430e5 275972 debug extra sawfish-dbg_1.3.5.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyyDUYACgkQAZmDGK3JvCiRwACfbhIZSjtkVP85Gany/vON8kIb
EvUAnih0pwshVCTAv83Ld95mwL6179xj
=P4tI
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:40 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions sawfish/1:1.5.3-2.1. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Fri, 27 Jan 2012 11:30:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Feb 2012 07:41:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:56:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.